Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLSyntax

    java.lang.Object
      ix.util.xml.XMLSyntax

Direct Known Subclasses:
  BNFSyntax, RelaxNGSyntax, XMLSchemaSyntax, XMLTreeEditPanel.TemplateSyntax

    public class XMLSyntax

extends java.lang.Object

Base for objcts that describe the (XML) syntax of data objects in various forms.

Field Summary
`protected Predicate1` | `attributeFieldP`
`protected ClassSyntax` | `classSyntax`
`protected InheritanceTree` | `inheritance`
`protected XMLTranslator` | `xmlt`

Constructor Summary
`XMLSyntax()`
`XMLSyntax(XMLTranslator xmlt)`

Method Summary
`protected java.util.List` | `attributeFields(java.util.List fields)`
`protected void` | `collectListofClasses(java.util.List classes, java.util.Collection collection)` Adds all classes C that need list-of C definitions.
`void` | `describeClass(java.lang.String className, java.io.PrintStream out)`
`protected java.util.List` | `elementFields(java.util.List fields)`
`protected ClassDescr` | `getClassDescr(java.lang.Class c)`
`protected java.util.List` | `getConstraintSyntaxList()` Returns a list of constraint objects that represent the currently supported syntactic possibilities for constaints.
`protected java.lang.String` | `getElementName(java.lang.Class c)`
`protected java.lang.String` | `getElementName(ClassDescr cd)`
`protected java.lang.String` | `getElementName(FieldDescr fd)`
`protected java.util.List` | `getEnumerationValues(java.lang.Class c)` Returns a list of the allowed values of an enumeration class.
`protected java.lang.String` | `getNTName(java.lang.Class c)`
`protected java.lang.String` | `getNTName(ClassDescr cd)`
`protected java.lang.String` | `getUpperName(java.lang.Class c)`
`protected java.lang.String` | `getUpperName(ClassDescr cd)`
`static void` | `main(java.lang.String[] argv)` Test loop that repeatedly asks the user for a class name and prints a description of the syntax for objects of that class.
`java.util.List` | `relevantClasses(java.lang.Class rootClass)`
`java.lang.String` | `structTextDescription(ClassDescr cd)`
`protected void` | `walkStructFields(java.util.List classes, FieldVisitor fv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlt

    protected XMLTranslator xmlt

### classSyntax

    protected ClassSyntax classSyntax

### inheritance

    protected InheritanceTree inheritance

### attributeFieldP

    protected Predicate1 attributeFieldP

Constructor Detail

### XMLSyntax

    public XMLSyntax()

### XMLSyntax

    public XMLSyntax(XMLTranslator xmlt)

Method Detail

### getClassDescr

    protected ClassDescr getClassDescr(java.lang.Class c)

### getNTName

    protected java.lang.String getNTName(ClassDescr cd)

### getNTName

    protected java.lang.String getNTName(java.lang.Class c)

### getUpperName

    protected java.lang.String getUpperName(ClassDescr cd)

### getUpperName

    protected java.lang.String getUpperName(java.lang.Class c)

### getElementName

    protected java.lang.String getElementName(ClassDescr cd)

### getElementName

    protected java.lang.String getElementName(java.lang.Class c)

### getElementName

    protected java.lang.String getElementName(FieldDescr fd)

### relevantClasses

    public java.util.List relevantClasses(java.lang.Class rootClass)

### collectListofClasses

    protected void collectListofClasses(java.util.List classes,
                                        java.util.Collection collection)

  Adds all classes C that need list-of C definitions.

  Parameters:
    `classes` - candidate classes
    `collection` - cantains the result

### walkStructFields

    protected void walkStructFields(java.util.List classes,
                                    FieldVisitor fv)

### attributeFields

    protected java.util.List attributeFields(java.util.List fields)

### elementFields

    protected java.util.List elementFields(java.util.List fields)

### getConstraintSyntaxList

    protected java.util.List getConstraintSyntaxList()

  Returns a list of constraint objects that represent the currently supported syntactic possibilities for constaints.

### getEnumerationValues

    protected java.util.List getEnumerationValues(java.lang.Class c)

  Returns a list of the allowed values of an enumeration class.

  Throws:
    `java.lang.IllegalArgumentException` - if the class is not a subclass of `EnumeratedValue`.
  See Also:
    `EnumeratedValue`

### main

    public static void main(java.lang.String[] argv)

  Test loop that repeatedly asks the user for a class name and prints a description of the syntax for objects of that class.

### describeClass

    public void describeClass(java.lang.String className,
                              java.io.PrintStream out)

### structTextDescription

    public java.lang.String structTextDescription(ClassDescr cd)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD